IMX_BIN_DETECT+=( imx_gpu_viv_detect )
BUILD_DEPENDS+=( "libdrm2:arm64" "libwayland-client0:arm64" "libwayland-server0:arm64"
		"libwayland-cursor0:arm64" "libwayland-egl1:arm64" "libxdamage1:arm64"
		"libxext6:arm64" "libxfixes3:arm64" "libx11-6:arm64" )
imx_gpu_viv_detect() {
	BIN_NAME=$(awk 'match($0, /^Package:\s+(imx-gpu-viv-[0-9][0-9ac-z.]*(-aarch64)?\.bin$)/, m){print m[1]}' "$META_IMX_DIR/$SCR_FILE")
	imx_lib_download_bin "$BIN_NAME"

	if [[ "$BIN_NAME" =~ ^(imx-gpu-viv)-([0-9][0-9ac-z.]*)(-aarch64)?(.bin)?$ ]]; then
		IMX_BIN_PACKAGE=${BASH_REMATCH[1]}
		IMX_BIN_VERSION=${BASH_REMATCH[2]}

		imx_bin_control=imx_gpu_viv_control
		imx_bin_install=imx_gpu_viv_install
		imx_bin_rules=imx_gpu_viv_rules
		imx_lib_package_run
	fi
}

# contents of debian/control file
imx_gpu_viv_control() {
	cat << EOF
Source: $IMX_BIN_PACKAGE
Section: non-free/libs
Priority: optional
Maintainer: $MAINTAINER_NAME <$MAINTAINER_EMAIL>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.3.0
Rules-Requires-Root: no
Homepage: https://www.nxp.com/

Package: $IMX_BIN_PACKAGE
Section: non-free/libs
Architecture: arm64
Multi-Arch: same
Pre-Depends: \${misc:Pre-Depends}
Depends:
 \${misc:Depends},
 \${shlibs:Depends}
Replaces: libegl1,
          libegl-dev,
          libgbm1,
          libgbm-dev,
          libgles1,
          libgles-dev,
          libgles2,
          libgl1,
          libgl-dev,
          libvulkan1,
          libvulkan-dev,
          ocl-icd-libopencl1,
          ocl-icd-opencl-dev
Description: GPU Vivante library
 It can be downloaded from the following URL.
 https://www.nxp.com/lgfiles/NMG/MAD/YOCTO/$BIN_NAME
EOF
}

# contents of debian/install file
imx_gpu_viv_install() {
	cat << EOF
gpu-core/usr/lib/*.so* /usr/lib/aarch64-linux-gnu/
gpu-core/usr/lib/dri/* /usr/lib/aarch64-linux-gnu/dri/
gpu-core/usr/lib/wayland/* /usr/lib/aarch64-linux-gnu/

gpu-core/usr/include/* /usr/include/aarch64-linux-gnu/

gpu-core/usr/lib/pkgconfig/egl.pc /usr/lib/aarch64-linux-gnu/pkgconfig/
gpu-core/usr/lib/pkgconfig/gbm.pc /usr/lib/aarch64-linux-gnu/pkgconfig/
gpu-core/usr/lib/pkgconfig/glesv1_cm.pc /usr/lib/aarch64-linux-gnu/pkgconfig/
gpu-core/usr/lib/pkgconfig/glesv2.pc /usr/lib/aarch64-linux-gnu/pkgconfig/
gpu-core/usr/lib/pkgconfig/vg.pc /usr/lib/aarch64-linux-gnu/pkgconfig/

gpu-core/etc/Vivante.icd /etc/
EOF
}

# contents of debian/rules file
imx_gpu_viv_rules() {
	cat << 'EOF'
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	mv gpu-core/usr/lib/pkgconfig/egl.pc gpu-core/usr/lib/pkgconfig/egl.pc.orig
	mv gpu-core/usr/lib/pkgconfig/egl_wayland.pc gpu-core/usr/lib/pkgconfig/egl.pc
	dh_install

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/$(DEB_HOST_MULTIARCH):/usr/$(DEB_HOST_MULTIARCH)/lib

override_dh_dwz: ;

override_dh_strip:
	dh_strip --no-automatic-dbgsym
EOF
}
