IMX_BIN_DETECT+=( imx_sw_pdm_detect )
imx_sw_pdm_detect() {
	BIN_NAME=$(awk 'match($0, /^Package:\s+(imx-sw-pdm-[0-9][0-9ac-z.]*(-aarch64)?\.bin$)/, m){print m[1]}' "$META_IMX_DIR/$SCR_FILE")
	imx_lib_download_bin "$BIN_NAME"

	if [[ "$BIN_NAME" =~ ^(imx-sw-pdm)-([0-9][0-9ac-z.]*)(-aarch64)?(.bin)?$ ]]; then
		IMX_BIN_PACKAGE=${BASH_REMATCH[1]}
		IMX_BIN_VERSION=${BASH_REMATCH[2]}

		imx_bin_control=imx_sw_pdm_control
		imx_bin_install=imx_sw_pdm_install
		imx_bin_rules=imx_sw_pdm_rules
		imx_lib_package_run
	fi
}

# contents of debian/control file
imx_sw_pdm_control() {
	cat << EOF
Source: $IMX_BIN_PACKAGE
Section: non-free/libs
Priority: optional
Maintainer: $MAINTAINER_NAME <$MAINTAINER_EMAIL>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.3.0
Rules-Requires-Root: no
Homepage: https://www.nxp.com/

Package: $IMX_BIN_PACKAGE
Section: non-free/libs
Architecture: arm64
Multi-Arch: same
Pre-Depends: \${misc:Pre-Depends}
Depends:
 \${misc:Depends},
 \${shlibs:Depends}
Description: NXP PDM to PCM Software Decimation SIMD Library
 It can be downloaded from the following URL.
 https://www.nxp.com/lgfiles/NMG/MAD/YOCTO/$BIN_NAME

EOF
}

# contents of debian/install file
imx_sw_pdm_install() {
	cat << EOF
usr/lib/aarch64-linux-gnu/*.so*
usr/include/aarch64-linux-gnu/*
usr/lib/aarch64-linux-gnu/pkgconfig/*
EOF
}

# contents of debian/rules file
imx_sw_pdm_rules() {
	cat << 'EOF'
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --build=x86_64-linux --host=$(DEB_HOST_MULTIARCH) --target=$(DEB_HOST_MULTIARCH) \
	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --includedir=/usr/include/$(DEB_HOST_MULTIARCH)

override_dh_dwz: ;

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/$(DEB_HOST_MULTIARCH):/usr/$(DEB_HOST_MULTIARCH)/lib

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
EOF
}
