IMX_BIN_DETECT+=( imx_vpu_hantro_detect )
BUILD_DEPENDS+=( "linux-imx-headers" )
imx_vpu_hantro_detect() {
	BIN_NAME=$(awk 'match($0, /^Package:\s+(imx-vpu-hantro-[0-9][0-9ac-z.]*(-aarch64)?\.bin$)/, m){print m[1]}' "$META_IMX_DIR/$SCR_FILE")
	imx_lib_download_bin "$BIN_NAME"

	if [[ "$BIN_NAME" =~ ^(imx-vpu-hantro)-([0-9][0-9ac-z.]*)(-aarch64)?(.bin)?$ ]]; then
		IMX_BIN_PACKAGE=${BASH_REMATCH[1]}
		IMX_BIN_VERSION=${BASH_REMATCH[2]}

		imx_bin_control=imx_vpu_hantro_control
		imx_bin_install=imx_vpu_hantro_install
		imx_bin_rules=imx_vpu_hantro_rules
		imx_lib_package_run
	fi
}

# contents of debian/control file
imx_vpu_hantro_control() {
	cat << EOF
Source: $IMX_BIN_PACKAGE
Section: non-free/libs
Priority: optional
Maintainer: $MAINTAINER_NAME <$MAINTAINER_EMAIL>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.3.0
Rules-Requires-Root: no
Homepage: https://www.nxp.com/

Package: $IMX_BIN_PACKAGE
Section: non-free/libs
Architecture: arm64
Multi-Arch: same
Pre-Depends: \${misc:Pre-Depends}
Depends:
 \${misc:Depends},
 \${shlibs:Depends}
Description: i.MX HANTRO VPU library
 It can be downloaded from the following URL.
 https://www.nxp.com/lgfiles/NMG/MAD/YOCTO/$BIN_NAME

EOF
}

# contents of debian/install file
imx_vpu_hantro_install() {
	cat << EOF
libcodec.so* /usr/lib/aarch64-linux-gnu/
libcommon_g1.so* /usr/lib/aarch64-linux-gnu/
libg1.so* /usr/lib/aarch64-linux-gnu/
libhantro.so* /usr/lib/aarch64-linux-gnu/

decoder_sw/software/source/inc/*.h /usr/include/aarch64-linux-gnu/hantro_dec/
openmax_il/source/decoder/*.h /usr/include/aarch64-linux-gnu/hantro_dec/
openmax_il/source/*.h /usr/include/aarch64-linux-gnu/hantro_dec/
openmax_il/headers/*.h /usr/include/aarch64-linux-gnu/hantro_dec/
EOF
}

# contents of debian/rules file
imx_vpu_hantro_rules() {
	cat << 'EOF'
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install: ;

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/$(DEB_HOST_MULTIARCH):/usr/$(DEB_HOST_MULTIARCH)/lib
EOF
}
