IMX_BIN_DETECT+=( imx_vpuwrap_detect )
BUILD_DEPENDS+=( "linux-imx-headers" )
imx_vpuwrap_detect() {
	BIN_NAME=$(awk 'match($0, /^Package:\s+(imx-vpuwrap)\.git$/, m){print m[1]}' "$META_IMX_DIR/$SCR_FILE")

	local repo=$(awk 'match($0, /^Release Location:\s*(https:\/\/github.com\/NXP\/imx-vpuwrap\.git) -b rel_imx_[0-9][0-9ac-z.]*_[0-9][0-9ac-z.]*/, m){print m[1]}' "$META_IMX_DIR/$SCR_FILE")
	local branch="MM_04.06.00_2012_L5.10.y"
	if ! [[ -d "$BIN_DIR/$BIN_NAME" ]]; then
		git clone --depth=1 "$repo" -b "$branch" "$BIN_DIR/$BIN_NAME"
	fi

	if [[ "$BIN_NAME" =~ (imx-vpuwrap) ]]; then
		local bin_path="$BIN_DIR/$BIN_NAME"
		IMX_BIN_PACKAGE=${BASH_REMATCH[1]}
		IMX_BIN_VERSION=$(awk 'match($0, /AC_INIT\(imx-vpuwrap, ([0-9]+\.[0-9]+\.[0-9]+)\)/, m){print m[1]}' "$bin_path/configure.ac")

		imx_bin_control=imx_vpuwrap_control
		imx_bin_install=imx_vpuwrap_install
		imx_bin_rules=imx_vpuwrap_rules
		imx_lib_package_run
	fi
}

# contents of debian/control file
imx_vpuwrap_control() {
	cat << EOF
Source: $IMX_BIN_PACKAGE
Section: non-free/libs
Priority: optional
Maintainer: $MAINTAINER_NAME <$MAINTAINER_EMAIL>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.3.0
Rules-Requires-Root: no
Homepage: https://www.nxp.com/

Package: $IMX_BIN_PACKAGE
Section: non-free/libs
Architecture: arm64
Multi-Arch: same
Pre-Depends: \${misc:Pre-Depends}
Depends:
 \${misc:Depends},
 \${shlibs:Depends}
Description: Freescale Multimedia VPU wrapper
 It can be downloaded from the following URL.
 https://github.com/NXP/imx-vpuwrap.git

EOF
}

# contents of debian/install file
imx_vpuwrap_install() {
	cat << EOF
.libs/libfslvpuwrap.so* /usr/lib/aarch64-linux-gnu/

./utils.h /usr/include/aarch64-linux-gnu/imx-mm/vpu/
./vpu_wrapper.h /usr/include/aarch64-linux-gnu/imx-mm/vpu/

./libfslvpuwrap.pc /usr/lib/aarch64-linux-gnu/pkgconfig/
EOF
}

# contents of debian/rules file
imx_vpuwrap_rules() {
	cat << 'EOF'
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- CC=$(DEB_HOST_MULTIARCH)-gcc \
	CFLAGS="-g -O2 -I/usr/include/$(DEB_HOST_MULTIARCH)/hantro_dec" \
	--build=x86_64-linux --host=$(DEB_HOST_MULTIARCH) --target=$(DEB_HOST_MULTIARCH) \
	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --includedir=/usr/include/$(DEB_HOST_MULTIARCH) \
	--disable-static --disable-dependency-tracking

override_dh_auto_install: ;

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/$(DEB_HOST_MULTIARCH):/usr/$(DEB_HOST_MULTIARCH)/lib
EOF
}
